import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class DeviceControlsContainer extends StatelessWidget {
  const DeviceControlsContainer({required this.child, super.key});
  final Widget child;

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: ColorsManager.greyColor.withOpacity(0.2),
        border: Border.all(color: ColorsManager.boxDivider),
      ),
      padding: const EdgeInsets.all(12),
      child: child,
    );
  }
}
